WinStyleSheet
Keywords: com.icl.saxon.WinStyleSheet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class WinStyleSheet

    java.lang.Object
      com.icl.saxon.StyleSheet
          com.icl.saxon.WinStyleSheet

public class WinStyleSheet
extends StyleSheet

This WinStyleSheet class is used in instant-saxon, a packaged interface to the StyleSheet interpreter, intended for use with jexegen on Windows platforms. It uses the SAXON version of the AElfred parser, which has been modified to deliver comments to the application.

Field Summary

Fields inherited from class com.icl.saxon.StyleSheet
`factory, namePool`

Constructor Summary
`WinStyleSheet()`

Method Summary
`static void` | `main(java.lang.String[] args)` Main program, can be used directly from the command line.

Methods inherited from class com.icl.saxon.StyleSheet
`badUsage, doMain, makeTraceListener, makeURIResolver, processDirectory, processDirectoryAssoc, processFile, processFileAssoc, quit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WinStyleSheet

    public WinStyleSheet()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program, can be used directly from the command line.

  The format is:

  java com.icl.saxon.StyleSheet [-u] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  The -u option indicates that the source-file and style-file are given in the form of URLs; by default they are interpreted as file names.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD